package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.bean.dto.report.ReportExamStudentFinalScoreDto;
import com.qmth.distributed.print.business.bean.dto.report.ReportExamStudentUsualScoreDto;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @Description: 期末成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/29
 */
public class FinalScoreResult implements Serializable {

    @ApiModelProperty(value = "考生名称")
    private String name;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "教学班级")
    private String administrativeClass;

    @ApiModelProperty(value = "期末考试分数")
    private Map<Long, Double> finalScoreDimension = new LinkedHashMap<>();

    @ApiModelProperty(value = "期末考试分数")
    private Map<Long, Double> finalScoreTarget = new LinkedHashMap<>();

    @ApiModelProperty(value = "期末考试分数明细")
    private String finalScoreDetail;

    @ApiModelProperty(value = "平时作业成绩")
    private String usualScore;

    @ApiModelProperty(value = "期末成绩集合")
    private ReportExamStudentFinalScoreDto finalScoreDto;

    @ApiModelProperty(value = "平时成绩集合")
    private ReportExamStudentUsualScoreDto usualScoreDto;

    public String getAdministrativeClass() {
        return administrativeClass;
    }

    public void setAdministrativeClass(String administrativeClass) {
        this.administrativeClass = administrativeClass;
    }

    public String getFinalScoreDetail() {
        return finalScoreDetail;
    }

    public void setFinalScoreDetail(String finalScoreDetail) {
        this.finalScoreDetail = finalScoreDetail;
    }

    public ReportExamStudentFinalScoreDto getFinalScoreDto() {
        return finalScoreDto;
    }

    public void setFinalScoreDto(ReportExamStudentFinalScoreDto finalScoreDto) {
        this.finalScoreDto = finalScoreDto;
    }

    public ReportExamStudentUsualScoreDto getUsualScoreDto() {
        return usualScoreDto;
    }

    public void setUsualScoreDto(ReportExamStudentUsualScoreDto usualScoreDto) {
        this.usualScoreDto = usualScoreDto;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Map<Long, Double> getFinalScoreDimension() {
        return finalScoreDimension;
    }

    public void setFinalScoreDimension(Map<Long, Double> finalScoreDimension) {
        this.finalScoreDimension = finalScoreDimension;
    }

    public Map<Long, Double> getFinalScoreTarget() {
        return finalScoreTarget;
    }

    public void setFinalScoreTarget(Map<Long, Double> finalScoreTarget) {
        this.finalScoreTarget = finalScoreTarget;
    }

    public String getUsualScore() {
        return usualScore;
    }

    public void setUsualScore(String usualScore) {
        this.usualScore = usualScore;
    }
}
